%option noyywrap 
%{
#include <string>
using namespace std;
#include "kol.tab.hpp"
%}

%%
[\n,()]	return *yytext;
var	return VAR;
formula	return FORMULA;
\?val	return VAL;
[a-zA-Z_][A-Za-z0-9]*	{
	yylval.string_a = new string(yytext);
	return ID;
}
"\\/"	return DISJ;
"/\\"	return KONJ;
"=>"	return IMPL;
"~"	return NEG;
":="	return ASSIGN;
%%
